## org.apache.batik.css.engine
Class StyleRule

    java.lang.Object
      org.apache.batik.css.engine.StyleRule

All Implemented Interfaces:
  Rule

public class StyleRule
extends java.lang.Object
implements Rule

This class represents a style rule.

Field Summary
`protected SelectorList` `selectorList` The selector list.
`protected StyleDeclaration` `styleDeclaration` The style declaration.
`static short` `TYPE` The type constant.

Constructor Summary
`StyleRule()`

Method Summary
`SelectorList` `getSelectorList()` Returns the selector list.
`StyleDeclaration` `getStyleDeclaration()` Returns the style declaration.
`short` `getType()` Returns a constant identifying the rule type.
`void` `setSelectorList(SelectorList sl)` Sets the selector list.
`void` `setStyleDeclaration(StyleDeclaration sd)` Sets the style map.
`java.lang.String` `toString(CSSEngine eng)` Returns a printable representation of this style rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

  The type constant.

  See Also:
    Constant Field Values

### selectorList

    protected SelectorList selectorList

  The selector list.

### styleDeclaration

    protected StyleDeclaration styleDeclaration

  The style declaration.

Constructor Detail

### StyleRule

    public StyleRule()

Method Detail

### getType

    public short getType()

  Returns a constant identifying the rule type.

  Specified by:
    `getType` in interface `Rule`

### setSelectorList

    public void setSelectorList(SelectorList sl)

  Sets the selector list.

### getSelectorList

    public SelectorList getSelectorList()

  Returns the selector list.

### setStyleDeclaration

    public void setStyleDeclaration(StyleDeclaration sd)

  Sets the style map.

### getStyleDeclaration

    public StyleDeclaration getStyleDeclaration()

  Returns the style declaration.

### toString

    public java.lang.String toString(CSSEngine eng)

  Returns a printable representation of this style rule.

  Specified by:
    `toString` in interface `Rule`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.